| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# GaudiSequencer::AlgorithmEntry Class Reference

`#include <GaudiSequencer.h>`

Collaboration diagram for GaudiSequencer::AlgorithmEntry:

[legend]

List of all members.

## Detailed Description

Definition at line 39 of file GaudiSequencer.h.

## Public Member Functions
| AlgorithmEntry (Algorithm *alg)
| Standard constructor.
virtual | ~AlgorithmEntry ()
void | setReverse (bool flag)
| Destructor.
Algorithm * | algorithm () const
bool | reverse () const
void | setTimer (int nb)
int | timer () const
## Private Attributes
Algorithm * | m_algorithm
| Algorithm pointer.
bool | m_reverse
| Indicates that the flag has to be inverted.
int | m_timer
| Timer number fo rthis algorithm.

## Constructor & Destructor Documentation

GaudiSequencer::AlgorithmEntry::AlgorithmEntry | ( | Algorithm * | alg | ) | `[inline]`

Standard constructor.

Definition at line 42 of file GaudiSequencer.h.

    00042                                      {
    00043       m_algorithm = alg;
    00044       m_reverse = false;
    00045       m_timer = 0;
    00046     }

virtual GaudiSequencer::AlgorithmEntry::~AlgorithmEntry | ( |  | ) | `[inline, virtual]`

Definition at line 48 of file GaudiSequencer.h.

    00048 {};

## Member Function Documentation

void GaudiSequencer::AlgorithmEntry::setReverse | ( | bool | flag | ) | `[inline]`

Destructor.

Definition at line 49 of file GaudiSequencer.h.

    00049 { m_reverse   = flag; }

Algorithm* GaudiSequencer::AlgorithmEntry::algorithm | ( |  | ) | const`[inline]`

Definition at line 51 of file GaudiSequencer.h.

    00051 { return m_algorithm; }

bool GaudiSequencer::AlgorithmEntry::reverse | ( | void |  | ) | const`[inline]`

Definition at line 52 of file GaudiSequencer.h.

    00052 { return m_reverse;   }

void GaudiSequencer::AlgorithmEntry::setTimer | ( | int | nb | ) | `[inline]`

Definition at line 53 of file GaudiSequencer.h.

    00053 { m_timer = nb;       }

int GaudiSequencer::AlgorithmEntry::timer | ( |  | ) | const`[inline]`

Definition at line 54 of file GaudiSequencer.h.

    00054 { return m_timer;     }

## Member Data Documentation

Algorithm* GaudiSequencer::AlgorithmEntry::m_algorithm`[private]`

Algorithm pointer.

Definition at line 56 of file GaudiSequencer.h.

bool GaudiSequencer::AlgorithmEntry::m_reverse`[private]`

Indicates that the flag has to be inverted.

Definition at line 57 of file GaudiSequencer.h.

int GaudiSequencer::AlgorithmEntry::m_timer`[private]`

Timer number fo rthis algorithm.

Definition at line 58 of file GaudiSequencer.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiAlg/GaudiAlg/GaudiSequencer.h